<div class="atp-app-action-appt">
  <ul class="list-group">
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
        <li class="list-group-item" (click)="clickAction(CONFIRM_APPT)" *ngIf="status == STATUS_PENDING && confirmationStatus == CNF_STATUS_UNCONFIRMED">Confirm Appointment</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
        <li class="list-group-item" (click)="clickAction(UNCONFIRM_APPT)" *ngIf="status == STATUS_PENDING && confirmationStatus == CNF_STATUS_CONFIRMED">UnConfirm Appointment</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
        <li class="list-group-item" (click)="clickAction(MOVE_APPT)" *ngIf="status == STATUS_PENDING">Move Appointment</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
        <li class="list-group-item" (click)="clickAction(REBOOK_APPT)">Rebook Appointment</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
        <li class="list-group-item" (click)="clickAction(WAITING_ROOM_ARRIVED)" *ngIf="status == STATUS_PENDING && isTodayAppt && confirmationStatus != CNF_STATUS_WAITINGROOMARRIVED && confirmationStatus != CNF_STATUS_WAITINGROOMDISMISSED">Waiting Room Arrived</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
        <li class="list-group-item" (click)="clickAction(WAITING_ROOM_DISMISSED)" *ngIf="status == STATUS_PENDING && isTodayAppt && confirmationStatus == CNF_STATUS_WAITINGROOMARRIVED">Waiting Room Dismissed</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
        <li class="list-group-item" (click)="clickAction(NEEDS_APPT)" *ngIf="status != STATUS_MISSED && !appt.isNeedAttention">Needs Attention</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
        <li class="list-group-item" (click)="clickAction(REMOVE_NEEDS_APPT)" *ngIf="status != STATUS_MISSED && appt.isNeedAttention">Remove Attention</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'D'">
        <li class="list-group-item" (click)="clickAction(DELETE_APPT)" *ngIf="status == STATUS_PENDING">Delete Appointment</li>
    </ng-container>
    <ng-container *appAccess="APPT_BASIC; lookFor: 'E'">
        <li class="list-group-item" (click)="clickAction(RESET_APPT)" *ngIf="status != STATUS_PENDING">Reset Appointment</li>
    </ng-container>
  </ul>
</div>

<ng-template #deleteConfirmation>
  <div style="padding: 20px;">
    <span>Deleted appointment can not be restored.</span>
  </div>
</ng-template>

<ng-template #needAttentionTemplate>
  <div style="padding: 20px;">
    <div style="padding: 20px;">
      <mat-form-field appearance="outline" class="full-width ptt-select-form-field">
        <textarea matInput [formControl]="needAttentionAlert" placeholder="Why Patient Need Attention?"  style="height: 100px;"></textarea>
        <mat-error *ngIf="needAttentionAlert.hasError('required')">
          This field is required.
        </mat-error>
      </mat-form-field>
    </div>
  </div>
</ng-template>
